From 5f108466945e311a2071e402d245b577bd71f118 Mon Sep 17 00:00:00 2001
From: orbea <ovariegata@yahoo.com>
Date: Mon, 4 Sep 2017 19:19:18 -0700
Subject: [PATCH 1/2] Install icons.

---
 CMakeLists.txt | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 77342179..8e0fad68 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -74,3 +74,26 @@ install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${quest_name}
   DESTINATION ${SOLARUS_INSTALL_BINDIR}
 )
 
+# FreeDesktop compatible icons
+if(UNIX AND NOT APPLE)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_16.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_24.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/24x24/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_32.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_48.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_64.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_128.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_256.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/256x256/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_512.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/512x512/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_1024.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/1024x1024/apps RENAME zsdx.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/logo_2x.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps RENAME zsdx.png)
+endif(UNIX AND NOT APPLE)

From 8d2d00a3a8f2c7084783e17d11d6ee3f70c65ea8 Mon Sep 17 00:00:00 2001
From: orbea <ovariegata@yahoo.com>
Date: Mon, 4 Sep 2017 19:18:03 -0700
Subject: [PATCH 2/2] Add a desktop file.

---
 CMakeLists.txt | 6 ++++++
 zsdx.desktop   | 9 +++++++++
 2 files changed, 15 insertions(+)
 create mode 100644 zsdx.desktop

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 8e0fad68..2795c058 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -97,3 +97,9 @@ if(UNIX AND NOT APPLE)
   install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/logo_2x.png
     DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps RENAME zsdx.png)
 endif(UNIX AND NOT APPLE)
+
+# FreeDesktop compatible start menu launcher
+if(UNIX AND NOT APPLE)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/zsdx.desktop
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+endif(UNIX AND NOT APPLE)
diff --git a/zsdx.desktop b/zsdx.desktop
new file mode 100644
index 00000000..7be4f282
--- /dev/null
+++ b/zsdx.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Zelda: Mystery of Solarus DX
+GenericName=Zelda fangame for the Solarus engine
+Comment=Zelda: Mystery of Solarus DX (action rpg game)
+Exec=zsdx
+Terminal=false
+Type=Application
+Icon=zsdx
+Categories=Game;AdventureGame;
